- [HTTP request](https://docs.cloud.google.com/apigee/docs/reference/apis/apigee/rest/v1/organizations.environments/getAddonsConfig.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/apigee/docs/reference/apis/apigee/rest/v1/organizations.environments/getAddonsConfig.md.txt#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/apigee/docs/reference/apis/apigee/rest/v1/organizations.environments/getAddonsConfig.md.txt#body.request_body)
- [Response body](https://docs.cloud.google.com/apigee/docs/reference/apis/apigee/rest/v1/organizations.environments/getAddonsConfig.md.txt#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/apigee/docs/reference/apis/apigee/rest/v1/organizations.environments/getAddonsConfig.md.txt#body.aspect)
- [Try it!](https://docs.cloud.google.com/apigee/docs/reference/apis/apigee/rest/v1/organizations.environments/getAddonsConfig.md.txt#try-it)

Gets the add-ons config of an environment.

### HTTP request

`GET https://apigee.googleapis.com/v1/{name=organizations/*/environments/*/addonsConfig}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Name of the add-ons config. Must be in the format of `/organizations/{org}/environments/{env}/addonsConfig` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `AddonsConfig`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`